### Method

# Fwupd Remote setup

since: 1.6.1

#### Declaration [src]

    gboolean
    fwupd_remote_setup (
      FwupdRemote* self
      GError** error
    )

#### Description [src]

Sets up the remote ready for use, checking that required parameters have been set. Calling this method multiple times has no effect.

Available since: 1.6.1

#### Return value

Type: `gboolean`

`TRUE` for success.